#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 17. Networking Libraries

- Prev

  libtirpc-1.3.7

- Next

  nghttp2-1.69.0

- Up
- Home

# neon-0.37.1

## Introduction to neon

neon is an HTTP and WebDAV client library, with a C interface.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://notroj.github.io/neon/neon-0.37.1.tar.gz

- Download MD5 sum: 5e661a69b52d26d8baab0e61a783d419

- Download size: 960 KB

- Estimated disk space required: 84 MB (with tests)

- Estimated build time: less than 0.1 SBU (add 0.4 SBU for tests)

### neon Dependencies

#### Optional

GnuTLS-3.8.13, libproxy-0.5.12, libxml2-2.15.3, MIT Kerberos V5-1.22.2, nss-3.123.1 (for some tests), xmlto-0.0.29 (to regenerate the documentation), and PaKChoiS

## Installation of neon

Install neon by running the following commands:

    ./configure --prefix=/usr    \
                --with-ssl       \
                --enable-shared  \
                --disable-static &&
    make

To test the results, issue: make check.

If you wish to regenerate the documentation, issue:

    make docs

Now, as the `root` user:

    make install

## Command Explanations

`--with-ssl`: This switch enables SSL support using OpenSSL. GnuTLS can be used instead, by passing `--with-ssl=gnutls` and `--with-ca-bundle=/etc/pki/tls/certs/ca-bundle.crt` to the configure script.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-libproxy`: This switch enables support for using libproxy to retrieve proxy server information. Use this switch if you have libproxy-0.5.12 installed and wish to use it.

## Contents

Installed Program: neon-config
Installed Library: libneon.so
Installed Directories: /usr/include/neon and /usr/share/doc/neon-0.37.1

### Short Descriptions

neon-config | is a script that provides information about an installed copy of the neon library
`libneon.so` | is used as a high-level interface to common HTTP and WebDAV methods

- Prev

  libtirpc-1.3.7

- Next

  nghttp2-1.69.0

- Up
- Home